1.98i
======================================
☉ bug 修复


1.98f
======================================
☉ 完善了 RM/RMVB/RA 媒体文件的标签功能
☉ 修正Windows 命名的保留字符，使之为全角
☉ bug 修复


1.98c
======================================
☉ 支持了 RM/RMVB/RA 媒体文件标签更名、写入和移除功能
☉ 增加了自动更正错误，即重复的文件名后自动增加序号功能
☉ 增加网页文件的标题更名
☉ 增加以文本文件第一行内容更名
☉ 修正一些小问题

1.98a
======================================
☉ 加入修改音乐文件标签时保留原来日期的选项
☉ 更改文件日期调整
☉ 修正遍历文件夹的问题
☉ 修正快速预览线程的问题
☉ 修正最大化文件列表消失问题
☉ 其他 bug 修正

1.98
======================================
☉ 支持了 WMA 标签写入和移除功能
☉ 支持了 WMV 标签更名、写入和移除功能
☉ 支持了 ASF 标签更名、写入和移除功能
☉ 支持了 OGG 标签更名、写入和移除功能
☉ 增加了汉字转拼音当中的标点、全角数字和英文字母、日文假名的处理，直接生成英文字母和标点
☉ 扩展删除和扩展添加增加负数含义，表示倒数、相反的操作
☉ 增加文件列表在初始化时排序
☉ 增加元变量 <R> ，代表随机产生的字符
☉ 增加应用前的错误检查选项
☉ 修正快捷方式文件问题
☉ 增加非增强界面也可显示表格及增加文件列表的操作功能
☉ 可添加自定义预设
☉ 取消输入框的字符数限制，但不能超过 Windows 的字符数规定
☉ 修正了文件列表表头，可以自定义位置了
☉ 修正了 CRC32 更名少扩展名的问题
☉ 修正新增元变量无效的问题
☉ 修正保留标签选项错误
☉ 修正文件夹在遍历时未加入列表的错误
☉ 修正序号更名中扩展名处理的问题

1.97
======================================
☉ 增加 CRC32 更名
☉ 增加“更改文件名”步骤
☉ 增加了元变量 <.EXT> ，原来的 <EXT> 改成没有“.”的了
☉ 增加了元变量 <NAME> ，原来的 <SELF> 改成动态文件名了
☉ Bug 和一些细节修正

1.96
======================================
☉ 增加了“遍历文件夹下的所有文件”设置选项
☉ 文件列表增加“大小”列
☉ 增加了文件列表的过滤功能，不过该功能不支持通配符，只是简单匹配
☉ 几个细节方面的修改
☉ Bug 修正


1.95
======================================
☉ 增加了如下几个元变量：
   <SELF>  返回文件名本身(不包括路径和扩展名)
   <EXT>  返回文件的扩展名
   <PARENT>  返回文件所在的当前文件夹
☉ 加序功能重新写过了。去掉以前的前序、后续，改用模板，可以在任意的位置添加序号。支持了字母编号的功能。字母编号用0代表A，以此类推；模板字符串使用单个字符“#”代表序号
☉ 重新整理了扩展更名功能，让扩展更名作为增强的脚本，归入到操作记录中，这样更名操作更加灵活了。去掉了主菜单中的“其他更名方式”，提供使用常用扩展命令的“预设方案”功能
☉ 增加文本框内的更名操作的添加删除功能，使用“Ctrl+Alt+N”添加，“Ctrl+Alt+D”删除
☉ 去掉了前序附加字符串的选项
☉ 增加快速自动预览选项，只预览前十项，可以加快自动预览速度
☉ 内码转换的时候不能识别的字符用“_”代替
☉ 修正了内码转换的 Bug

1.9
======================================
☉ 增加了语言特性处理：
   1-汉字转成拼音的功能，并加入了一些常用的方案
   2-字符数值转换，比如“1”可以转换成其ASCII码值“$34”，这样可以把双字节的文字转换成通用字符，以便应用于不同的语言代码
☉ 增加了扩展文件更名功能的增强器：
   1-英文字母大小写互换
   2-顺序颠倒
   3-英文字母一大一小
   4-英文字母一小一大
☉ 提供 gbkfix.txt 文件对繁简转换进行修正
☉ 增加了添加文件菜单
☉ 修正多语言方面的一些问题
☉ 其他一些 bug 修正，还有界面与功能的细微调整

1.87
======================================
☉ 更改扩展名的 Bug 修正

1.86
======================================
☉ 更新了帮助文档
☉ 更新和修正了安装程序
☉ 优化了程序的部分功能
☉ 修正自动预览线程的 Bug
☉ 更正了其他一些小问题

1.85
======================================
☉ 支持正则表达式了(替换和删除操作)，在文本输入框中如果第一个字母为':'则使用正则表达式
☉ 增加了元变量的使用，要用 <> 来表达，比如“<DATE>”代表文件的日期；“<TIME>”代表文件的时间等等
☉ 自动预览功能使用了一个单独的线程，这样当文件数量很大的时候就不会对主程序造成迟钝的影响了。
☉ 增加了编辑框常用中文符号的快捷键：
 Ctrl+Alt+'/' = '∕'
 Ctrl+Alt+'8' = '★'
 Ctrl+Alt+'.' = '·'
☉ “上一次执行的操作”菜单功能修正
☉ 状态栏显示文件数
☉ 增加了序号的附加字符串选项
☉ 增加和整理了操作快捷键
☉ 流派选择框加了个空栏
☉ 增加保留原标签选项。当标签输入框某项为空时，不进行改写。
☉ 修正了右键菜单的一个 BUG
☉ 修正调用文本文件命名中的 BUG

1.8a
======================================
☉ 修正了讨厌的资源泄漏问题。问题出在TCustomListView 中 CustomDraw 的 Brush，是 Delphi 的 BUG；早在 Delphi 5 的时候， CustomDraw 中 Font 的 BUG 就已经修正了，但是还差 Brush。解决方法是... -_-'
☉ 增加了文件名“日文Shift-JIS <--> 中文简体”
☉ 增加了文件名“GB <--> BIG5”
☉ 增加了音乐文件标签“日文Shift-JIS <--> 中文简体”
☉ 增加了 MP3 文件的 ID3v1 与 ID3v2 的互相拷贝
☉ 修正流派的默认值问题
☉ 修正内码转换的一堆问题
☉ 修正了 ID3v2 中的某些标签的处理问题
☉ 调整了部分界面

1.8
======================================
☉ 支持多语言了 -_-' 。程序的文字资源结构做了大幅度更改，使之支持多语言。目前支持中文简体、中文繁体和英文三种。使用 INI 文件作为语言配置文件，可以根据需要扩充
☉ 软件的英文名称正式改成 SmartRename
☉ 增加导出音乐文件标签到文本文件的功能
☉ 增加利用文本文件批量写入音乐文件标签的功能
☉ 增加文件名简体转繁体功能
☉ 增加音乐文件标签“繁体 <--> 简体”和“BIG5码 <--> GB码”的转换
☉ 增加文件更名的自动预览功能(可选)。注意：当文件数量很大时会很慢，慎用
☉ 增加音乐文件的播放功能，该功能只是调用外部的播放器 (按 Alt 键，然后双击选中的文件)
☉ 增加工具栏使用大图标的选项
☉ 增加删除扩展名。更改扩展名文本框中如果第一个字母为'|'表示删除扩展名
☉ 增加对扩展名进行加序等操作。文本框中第一个字母为'|'表示对扩展名的操作
☉ 可以分别对ID3v1和ID3v2的移除进行选择了
☉ 读入标签时自动转换到标签写入页
☉ 修正了更改扩展名时可能引起问题的BUG
☉ 写入标签的预设功能不再清空标签内容了
☉ 修正了恢复默认选项的BUG
☉ 预设栏提供了一个“[全部]”选项

1.7b
======================================
☉ 修正了写入音乐文件标签时检测框无效的情况
☉ 增加了界面中的文件列表颜色搭配选项，有如下几个主题：默认，灰色世界，郁闷心情，绿色草原，紫色淡雅
☉ 流派下拉框可以按顺序显示了
☉ 界面微调

1.7a
======================================
☉ 单个音乐文件标签更名的支持 (选择文件的同时按 Alt 键开始编辑)
☉ 增加了一个预设选项
☉ 加入文件名单词判断字符选项
☉ 修正了一些小问题

1.7
======================================
☉ 增加了根据文件名批量写入音乐文件标签的功能，目前支持MP3、APE
☉ 加入了预设标签表达式功能
☉ 加入了文件表达式的预设功能
☉ 按选择列表文件时按 Alt 键可以显示音乐文件标签
☉ 增加了两个标签选项，在选项对话框里
☉ 一些细节做了调整


1.6
======================================
☉ 支持了 APE 标签更名、移除功能
☉ 加入了音乐文件标签更名时的个位音轨数字自动补0选项
☉ 支持了文件列表项的拖放操作
☉ 一些易用操作更新
☉ 整理了安装文件的一个小问题
☉ 修正了一个粗心的内存未释放错误

1.5a
======================================
☉ 修正了一些问题
☉ 发现一个串指针的致命错误 -_-"
☉ 增加了可以几个调整界面的选项
☉ 图标作了调整
☉ 打开操作记录增加了 MRU 功能和重复上次操作功能
☉ 快捷键做了一些变动
☉ 更改了操作记录文件格式，以前的格式不能用了 :(
☉ 扩充了提取音乐文件标签更名的功能，相关选项、设置有一些变动；
   该项功能更具有灵活性，使用表达式命名法，并且让这项功能单独放置到主界面中

1.5
======================================
☉ 修正了一些问题
☉ 核心代码修改（更名操作单独作为一个对象，为外部调用提供接口，并支持未来的扩展）
☉ 界面和一些图标作了调整，使之更美观
☉ 增加状态栏，进度条放在状态栏了
☉ 增加支持通配符 * ，原先只支持通配符 ?
☉ 增加操作记录功能，使用这项功能可以保存操作步骤
☉ 改进了繁体转简体的算法，速度有质的提高


1.4a
======================================
☉ 修正了一些问题
☉ 加入了自定义时间选择
☉ 做了一个安装程序


1.4
======================================
☉ 修正了一些问题
☉ 增加了文件更名时的进度提示
☉ 文件夹可以显示日期了
☉ 在 Windows XP 中的界面显示
☉ 增加了修改文件或文件夹的日期
☉ 制作了帮助文件
☉ 更改了一点界面的布局
☉ 自己画了一个程序图标（以前的是捡来的）
☉ 实现了繁体转换为简体（注：不是内码转换）

1.3a
======================================
☉ 支持了 WMA 标签更名
☉ 修正了文件共享 BUG
☉ 增加几个参数选项
